/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Unbounded:wght@200..900&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  /* 
         Change favorite color:

         Default (Purple): hsl(255, 60%, 64%)
         Blue: hsl(220, 60%, 64%) - Pink: hsl(300, 60%, 64%)
         Green: hsl(110, 60%, 64%) - Cyan: hsl(180, 60%, 64%)
         Orange: hsl(15, 60%, 64%) - Red: hsl(358, 60%, 64%)

         For more colors visit: https://htmlcolorcodes.com/
         -> Choose any color 
         -> Copy the color mode (HSL)
  */
  --hue: 220;
  --first-color: hsl(var(--hue), 60%, 64%);
  --first-color-alt: hsl(var(--hue), 80%, 56%);
  --first-color-alt-2: hsl(var(--hue), 60%, 56%);
  --first-color-light: hsl(var(--hue), 60%, 74%);
  --title-color: hsl(240, 8%, 95%);
  --text-color: hsl(240, 8%, 70%);
  --text-color-light: hsl(240, 8%, 50%);
  --body-color: hsl(240, 100%, 2%);
  --container-color: hsl(240, 8%, 6%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat", sans-serif;
  --second-font: "Unbounded", sans-serif;
  --biggest-font-size: 2rem;
  --bigger-font-size: 1.75rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --biggest-font-size: 3rem;
    --bigger-font-size: 2rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
}

button {
  outline: none;
  border: none;
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-family: var(--second-font);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  text-align: center;
  font-size: var(--h1-font-size);
  margin-bottom: 3rem;
}

.section__title span {
  color: var(--first-color);
}

.main {
  overflow: hidden;
}

/*=============== BLOB ===============*/
/* Blob animate */
.blob-animate{
    width: 100px;
    height: 100px;
    background: linear-gradient(180deg,
                var(--first-color-alt) 20%,
                var(--first-color-light) 100%);
    border-radius: 50%;
    position: absolute;
    filter: blur(35px);
    z-index: -1;
    animation: animteBlob 5s linear infinite;
}

@keyframes animateBlob{
    0%{
        transform: rotate(0);
    }
    100%{
        transform: rotate(360deg);
    }
}

/* Blob */
.blob{
    width: 250px;
    height: 250px;
    background: linear-gradient(180deg, 
                var(--first-color) 0%,
                var(--first-color-alt) 100%);
    border-radius: 50%;
    filter: blur(50px);
    position: absolute;
    z-index: -1;
}

/*=============== CUSTOM CURSOR ===============*/

/* Hide the custom cursor */

/*=============== HEADER & NAV ===============*/
.header{
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg,
                var(--body-color) 60%,
                hsla(240, 100%, 2%, 0) 100%);
    z-index: var(--z-fixed);
}
.header .blob-animate{
    top: -3rem;
    left: -3rem;
}
.nav{
    display: flex;
    justify-content: space-between;
    padding-block: 1rem;
}
.nav_logo{
    font-family: var(--second-font);
    font-weight: var(--font-semi-bold);
    color: var(--title-color);
    align-self: flex-start;
    transition: color .4s;
}
.nav_logo:hover{
    color: var(--first-color);
}
.nav_list{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    row-gap: .5rem;
}
.nav_link{
    color: var(--title-color);
    font: var(--font-semi-bold) var(--small-font-size) var(--second-font);
    transition: color .4s, text-shadow .4s;
}
.nav_link:hover{
    color: var(--first-color);
    text-shadow: 0 8px 16px var(--first-color);
}


/* Active link */
.active-link{
    color: var(--first-color);
    text-shadow: 0 8px 16px var(--first-color);
}



/*=============== HOME ===============*/
.home{
    position: relative;
}
.home_container{
    position: relative;
    padding-top: 4rem;
    row-gap: 3rem;
}
.home_greeting{
    font-size: var(--h2-font-size);
    font-weight: var(--font-regular);
    color: var(--first-color);
}
.home_name{
    font-size: var(--biggest-font-size);
}
.home_image{
    position: relative;
    display: grid;
    overflow-y: clip;
}
.home_image .blob-animate{
    width: 250px;
    height: 250px;
    bottom: 0;
    justify-self: center;
}
.home_perfil{
    width: 320px;
    justify-self: center;
}
.home_shadow, .home_info, .home_social, .home_cv{
    position: absolute;
}
.home_shadow{
    width: 100%;
    height: 375px;
    bottom: 1rem;
    z-index: 1;
    background: linear-gradient(180deg,
              hsla(240, 100%, 2%, 0) 60%,
              hsl(240, 100%, 2%) 85%);
}
.home_info{
    z-index: 2;
    bottom: -1rem;
    justify-self: center;
}
.home_split{
    font-size: var(--h3-font-size);
    font-weight: var(--font-regular);
    color: var(--first-color);
}
.home_profession-1,.home_profession-2{
    font-size: var(--bigger-font-size);
    text-align: center;
    overflow: hidden;
}
.home_profession-1{
    position: relative;
    color: var(--first-color);
}
.home_profession-1::after{
    content: '';
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg,
                hsl(0, 0%, 0%) 10%,
                hsla(0, 0%, 0%, 0) 60%);
    position: absolute;
    top: 0;
    left: 0;
}
.home_profession-2{
    transform: translateY(-1rem);
}

.home_social{
    z-index: 2;
    left: 0;
    align-self: center;
    display: flex;
    flex-direction: column;
    row-gap: .75rem;
}
.home_social-link{
    color: var(--title-color);
    font-size: 1.25rem;
    transition: transform .4s, color .4s;
}
.home_social-link:hover{
    color: var(--first-color);
    transform: translateX(.25rem);
}
.home_cv{
    z-index: 2;
    right: -2.5rem;
    bottom: 2.5rem;
    rotate: -90deg;
    color: var(--text-color-light);
    font: var(--font-medium) var(--small-font-size) var(--second-font); 
    display: flex;
    align-items: center;
    column-gap: .5rem;
    transition: color .4s;
}
.home_cv i{
    font-size: 1rem;
}
.home_cv:hover{
    color: var(--first-color);
}


/* ============= BUTTON ===============*/ 
.button{
    background-color: var(--body-color);
    border: 3px solid var(--first-color);
    color: var(--title-color);
    padding: 1rem 2rem;
    box-shadow: 0 8px 32px hsla(var(--hue), 60%, 64%, .5),
                inset 8px -8px 30px var(--first-color-alt-2);
    border-radius: 4rem;
    font-family: var(--second-font);
    font-weight: var(--font-semi-bold);
    display: inline-flex;
    align-items: center;
    column-gap: .5rem;
    transition: box-shadow .4s;
}
.button i{
    font-weight: initial;
    font-size: 1rem;
}
.button:hover{
    box-shadow: 0 8px 48px hsla(var(--hue), 60%, 64%, .7),
                inset 8px -8px 30px var(--first-color-alt-2);
}

/*=============== ABOUT ===============*/
.about{
    position: relative;
}
.about_container{
    row-gap: 3rem;
    overflow-y: clip;
}
.about_data .section_title{
    margin-bottom: 1.5rem;
    text-align: initial;
}
.section_title span{
    color: var(--first-color);
}
.about_description{
    font-size: var(--h2-font-size);
    margin-bottom: 2rem;
}
.about_description b{
    color: var(--first-color);
    font-weight: var(--font-semi-bold);
}
.about_image{
    position: relative;
    justify-self: center;
}
.about_image .blob-animate:nth-child(1){
    top: 1.5rem;
    left: 1rem;
}
.about_image .blob-animate:nth-child(2){
    right: -5rem;
    bottom: .5rem;
}
.about_perfil{
    width: 220px;
}
.about_shadow{
    width: 100%;
    height: 250px;
    position: absolute;
    bottom: 1rem;
    z-index: 1;
    background: linear-gradient(180deg,
                hsla(240, 100%, 2%, 0) 60%,
                var(--body-color) 95%);
}

/*=============== PROJECTS ===============*/
.projects .section_title{
    text-align: initial;
    margin-left: 1.5rem;
    margin-bottom: 3rem;
}
.projects_card{
    position: relative;
    background-color: var(--container-color);
    padding: 1.5rem;
    border-radius: 3rem;
    overflow: hidden;
}
.projects_card .blob{
    z-index: 0;
    right: -7.75rem;
    bottom: 0;
}
.projects_number, .projects_data, .projects_image{
    position: relative;
    z-index: 1;
}
.projects_number{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.projects_number h1{
    font-size: var(--biggest-font-size);
}
.projects_number h3{
    font-weight: var(--font-regular);
    font-size: var(--h3-font-size);
}
.projects_data{
    margin-block: 2rem;
}
.projects_title{
    font-size: var(--h2-font-size);
    margin-bottom: 1rem;
}
.projects_subtitle{
    font-family: var(--second-font);
    font-size: var(--small-font-size);
    margin-bottom: .5rem;
}
.projects_description{
    font-size: var(--small-font-size);
}
.projects_card{
    border-radius: 1.5rem;
}
.projects_button{
    display: grid;
    place-items: center;
    width: 48px;
    height: 48px;
    background-color: var(--body-color);
    border: 3px solid var(--first-color);
    border-radius: 50%;
    color: var(--title-color);
    font-size: 2rem;
    position: absolute;
    top: .75rem;
    right: .75rem;
    opacity: 0;
    pointer-events: none;
    transition: box-shadow .4s, opacity .4s;
}
.projects_button:hover{
    box-shadow: 0 0 24px var(--first-color);
}
.projects_image:hover .projects_button{
    opacity: 1;
    pointer-events: initial;
}

/* Swiper class */
.projects_swiper{
    margin-inline: initial;
    padding-bottom: 2rem;
}
.projects .swiper-pagination-bullets{
    bottom: 0;
}
.projects .swiper-pagination-bullet{
    background-color: var(--first-color);
    transition: opacity .4s;
}


/*=============== WORK ===============*/
.section_title{
    margin-bottom: 2rem;
    text-align: center;
}
.work_tabs{
    background-color: var(--container-color);
    padding: 1.25rem 2rem;
    border-radius: 4rem;
    display: flex;
    justify-content: space-between;
}
.work_button{
    background: none;
    color: var(--text-color);
    display: flex;
    align-items: center;
    column-gap: .25rem;
    font-size: var(--small-font-size);
    font-family: var(--second-font);
    cursor: pointer;
    transform: color .4s;
}
.work_button i{
    font-size: 1rem;
}
.work_button:hover{
    color: var(--first-color);
}
.work_area{
    position: relative;
    padding-left: 1rem;
}
.work_content{
    display: grid;
    row-gap: 4rem;
}
.work_card{
    display: grid;
    row-gap: 1rem;
}
.work_data{
    display: flex;
    justify-content: space-between;
}
.work_title{
    font-size: var(--h2-font-size);
    margin-bottom: .5rem;
}
.work_subtitle{
    font-size: var(--normal-font-size);
    font-weight: var(--font-regular);
    color: var(--first-color);
}
.work_year{
    font-size: var(--h1-font-size);
}
.work_line{
    width: 4px;
    height: 100%;
    background: linear-gradient(180deg,
                hsla(var(--hue), 60%, 64%, 0),
                var(--first-color-alt-2));
    position: absolute;
    left: -.25rem;
}
.work_line::after{
    content: '';
    width: 16px;
    height: 16px;
    background-color: var(--first-color-alt-2);
    border-radius: 50%;
    position: absolute;
    bottom: -1px;
    left: -6px;
}


/* Show & hide sections */
.work_area [data-content]{
    display: none;
}
.work-active[data-content]{
    display: grid;
}

/* Active tab */
.work_button.work-active{
    color: var(--first-color);
}
/*=============== SERVICES ===============*/
.section_title{
    margin-bottom: 2rem;
    text-align: center;
}
.services_container{
    row-gap: 2rem;
}
.services_card{
    position: relative;
    background-color: var(--container-color);
    padding: 2rem 1.5rem;
    border-radius: 3rem;
    display: grid;
    row-gap: 1.5rem;
    overflow: hidden;
}
.services_card .blob{
    z-index: 0;
    top: -7.75rem;
    left: -7.75rem;
}
.services_card .blob-2{
    left: initial;
    right: -7.75rem;
}
.services_data, .services_info{
    position: relative;
    z-index: 1;
}
.services_title{
    font-size: var(--h2-font-size);
    margin-bottom: .5rem;
}
.services_subtitle{
    font-size: var(--small-font-size);
    font-weight: var(--font-regular);
    color: var(--text-color);
    margin-bottom: .5rem;
}
.services_skills{
    display: flex;
    flex-wrap: wrap;align-items: center;
    gap: .5rem .25rem;
}
.services_skill{
    background-color: var(--container-color);
    color: var(--title-color);
    border: 1px solid var(--title-color);
    padding: 4px 10px;
    border-radius: 4rem;
    font-size: var(--smaller-font-size);
    font-family: var(--second-font);
}
.services_button{
    display: grid;
    place-items: center;
    width: 32px;
    height: 32px;
    background-color: var(--body-color);
    border: 2px solid var(--first-color);
    color: var(--title-color);
    border-radius: .5rem;
    font-size: 1.5rem;
    position: absolute;
    right: 1rem;
    bottom: 1rem;
    z-index: 2;
    cursor: pointer;
}
.services_button i{
    transition: rotate .4s;
}

/* Hide services info */
.services-close .services_info{
    height: 0;
    opacity: 0;
    overflow: hidden;
}
.services_info{
    transition: height .4s, opacity .4s;
}


/* Rotate Icon */
.services-open .services_button i{
    rotate: -180deg;
}


/*=============== TESTIMONIALS ===============*/
.testimonials .section_title{
    text-align: initial;
    margin-left: 1.5rem;
}
.testimonials_container{
    position: relative;
    margin-inline: 0;
    overflow: hidden;
}
.testimonials_card{
    position: relative;
    width: 320px;
    background-color: var(--container-color);
    padding: 1.5rem 1rem 2.5rem;
    margin-inline: 1rem;
    border-radius: 3rem;
    text-align: center;
    overflow: hidden;
}
.testimonials_card .blob{
    z-index: 0;
    left: 0;
    right: 0;
    margin-inline: auto;
    bottom: -12.5rem;
}
.testimonials_data{
    position: relative;
    z-index: 1;
}
.testimonials_img{
    width: 60px;
    border-radius: 50%;
    margin: 0 auto .5rem;
}
.testimonials_name{
    font-size: var(--normal-font-size);
    font-weight: var(--font-regular);
    margin-bottom: 1.5rem;
}
.testimonials_rating{
    display: flex;

    justify-content: center;
    align-items: center;
    column-gap: .5rem;
    margin-bottom: .5rem;
}
.testimonials_stars{
    display: flex;
    column-gap: .25rem;
}
.testimonials_stars i{
    font-size: 1rem;
    color: var(--title-color);
}
.testimonials_number{
    font-size: var(--h3-font-size);
}
.testimonials_content{
    display: flex;
    width: max-content;
    animation: scroll 18s linear infinite;
}
.testimonials_reverse{
    flex-direction: row-reverse;
    animation-direction: reverse;
    animation-delay: -1s;
}
.testimonials_content:hover{
    animation-play-state: paused;
}
/* Infinite scroll animation */
@keyframes scroll {
    0%{
        transform: translateX(0);
    }
    100%{
        transform: translateX(-50%);
    }
}

/*=============== CONTACT ===============*/
.contact_container{
    row-gap: 4rem;
    padding-bottom: 2rem;
}
.contact .section_title{
    margin-bottom: 1rem;
    padding-top: 2rem;
}
.contact_data{
    text-align: center;
}
.contact_description{
    font-family: var(--second-font);
}
.contact_email{
    display: none;   
}
.contact_button{
    margin-top: 1rem;
    cursor: pointer;
}
.contact_content{
    row-gap: 3rem;
}
.contact_info{
    row-gap: 1rem;
}
.contact_title{
    font-size: var(--h3-font-size);
    color: var(--first-color);
    text-align: center;
    margin-bottom: .5rem;
}
.contact_address{
    color: var(--title-color);
    font-style: normal;
    font-weight: var(--font-medium);
    text-align: center;
}
.contact_links{
    display: grid;
    grid-template-columns: max-content;
    justify-content: center;
    row-gap: .25rem;
}
.contact_link{
    color: var(--title-color);
    font-weight: var(--font-medium);
    display: flex;
    justify-content: space-between;
    column-gap: .5rem;
    transition: transform .4s, color .4s;
}
.contact_link i{
    font-size: 1.5rem;
}
.contact_link:hover{
    transform: translateX(.35rem);
    color: var(--text-color);
}


/*=============== FOOTER ===============*/
.footer{
    position: relative;
    padding-block: 4rem 2rem;
    text-align: center;
    row-gap: 1rem;
    overflow: hidden;
}
.footer .blob-animate{
    right: -3rem;
    bottom: -3rem;
}
.footer_copy{
    color: var(--title-color);
}
.footer_copy span{

    color: var(--first-color);
}
.footer_year span{
    font-family: var(--second-font);
}


/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar{
    width: .6rem;
    background-color: hsl(240, 6%, 12%);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
    width: .6rem;
    background-color: hsl(240, 6%, 20%);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover{
    width: .6rem;
    background-color: hsl(240, 6%, 24%);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 320px){
    .container{
        margin-inline: 1rem;
    }

    .blob,
    .home_image .blob-animate{
        width: 220px;
        height: 220px;
    }
    .projects_card{
        padding-inline: 1rem;
    }
    .work_tabs{
        padding-inline: 1rem;
    }
    .testimonials_card{
        width: 250px;
        padding-bottom: 2rem;
    }
}

/* For medium devices */
@media screen and (min-width: 540px){
    .home_container{
        width: 460px;
        margin-inline: auto;
    }
    .about_container,
    .work_container,
    .services_container{
        grid-template-columns: 460px;
        justify-content: center;
    }
    .about_data,
    .about_data .section_title{
        text-align: center;
    }
    :is(.projects, .testimonials) .section_title{
        text-align: center;
        margin-left: 0;
    }
    .projects_card{
        width: 350px;
    }
    .work_tabs{
        width: 320px;
        justify-self: center;
    }
    
}

@media screen and (min-width: 768px){
    .home_container{
        width: 600px;
    }
    .work_container{
        grid-template-columns: 600px;
    }
    .work_area{
        padding-left: 0;
    }
    .work_card{
        grid-template-columns: repeat(2, 270px);
        justify-content: center;
        column-gap: 3rem;
    }
    .work_line{
        left: 0;
        right: 0;
        margin-inline: auto;
    }
    .services_container{
        grid-template-columns: repeat(2, 350px);
        align-items: flex-start;
    }
}
/* For large devices */
@media screen and (min-width: 1150px){
    .container{
        margin-inline: auto;
    }
    .section{
        padding-block: 7rem 2rem;
    }
    .section__title{
        margin-bottom: 4rem;
    }
    .blob{
        width: 250px;
        height: 250px;
    }
    
    .nav{
        height: calc(var(--header-height) +2rem);
        align-items: center;
    }
    .nav_logo{
        align-self: initial;
    }
    .nav_list{
        flex-direction: row;
        column-gap: 5.5rem;
    }
    .home_container{
        width: initial;
        padding-top: 3rem;
    }
    .home_perfil{
        width: 600px;
    }
    .home_image .blob-animate{
        width: 450px;
        height: 450px;
        bottom: 2rem;
        filter: blur(50px);
    }
    .home_shadow{
        width: 700px;
        height: 700px;
        left: 0;
        right: 0;
        margin-inline: auto;
        background: linear-gradient(180deg,
                    hsla(240, 100%, 2%, 0) 60%,
                    hsl(240, 100%, 2%) 95%);
    }
    .home_data{
        position: absolute;
        top: 12rem;
        left: 3rem;
        z-index: 2;
    }
    .home_info{
        top: 12rem;
        right: 1rem;
        bottom: initial;
    }
    .home_split{
        font-size: var(--h2-font-size);
    }
    .home_profession-1{
        font-size: var(--biggest-font-size);
        text-align: initial;
    }
    .home_profession-2{
        font-size: var(--biggest-font-size);
        transform: translateY(-1.5rem);
    }
    .home_social{
        bottom: 3rem;
        row-gap: 1.5rem;
    }
    .home_social-link{
        font-size: 1.5rem;
    }
    .home_cv{
        font-size: var(--normal-font-size);
        rotate: 0deg;
        right: 0;
    }
    .about_container{
        grid-template-columns: repeat(2, 500px);
        align-items: center;
        column-gap: 5.5rem;
        padding-top: 2rem;
    }
    .about_data,
    .about_data .section_title{
        text-align: initial;
        z-index: 2;
    }
    .about_description{
        margin-bottom: 3rem;
    }
    .about_perfil{
        width: 500px;
    }
    .about_image{
        order: -1;
    }
    .about_image .blob-animate{
        width: 200px;
        height: 200px;
        filter: blur(50px);
    }
    .about_image .blob-animate:nth-child(1){
        left: 4rem;
        top: 4rem;
    }
    .about_image .blob-animate:nth-child(2){
        right: -1rem;
        bottom: 3rem;
    }
    .about_shadow{
        height: 600px;
        bottom: 0;
    }
    .projects{
        padding-block: 9rem 4rem;
    }
    .projects_swiper{
        padding-bottom: 4rem;
    }
    .projects_container{
        max-width: 1380px;
    }
    .projects_card{
        width: 440px;
        padding: 2.5rem;
        border-radius: 4rem;
    }
    .projects_subtitle, .projects_description{
        font-size: var(--normal-font-size);
    }
    .projects_img{
        border-radius: 2rem;
    }
    .projects_button{
        top: 1.5rem;
        right: 1.5rem;
    }
    .work_container{
        grid-template-columns: 1050px;
        row-gap: 3rem;
    }
    .work_content{
        row-gap: 5rem;
    }
    .work_card{
        grid-template-columns: repeat(2, 450px);
        column-gap: 9rem;
    }
    .work_title{
        font-size: var(--bigger-font-size);
    }
    .work_subtitle, .work_description{
        font-size: var(--h3-font-size);
    }
    .services_container{
        grid-template-columns: repeat(2, 455px);
        column-gap: 5rem;
    }
    .services_card{
        padding: 3rem 3rem 4rem 3rem;
        border-radius: 4rem;
        row-gap: 2rem;
    }
    .services_title{
        font-size: var(--h1-font-size);
        margin-bottom: 1rem;
    }
    .services_button{
        right: 2rem;
        bottom: 2rem;
    }
    .testimonials_container{
        row-gap: 3rem;
    }
    .testimonials_container::after, .testimonials_container::before{
        content: '';
        position: absolute;
        top: 0;
        width: 20%;
        height: 100%;
    }
    .testimonials_container::after{
        left: 0;
        background: linear-gradient(90deg,
                    hsl(0, 0%, 0%) 0%,
                    hsla(0, 0%, 0%, 0) 100%);
    }
    .testimonials_container::before{
        right: 0;
        z-index: 1;
        background: linear-gradient(90deg,
                    hsla(0, 0%, 0%, 0) 0%,
                    hsl(0, 0%, 0%) 100%);
    }
    .testimonials_card{
        width: 370px;
        padding: 3rem 2rem;
        border-radius: 4rem;
    }
    .testimonials_number{
        font-size: var(--normal-font-size);
    }
    .contact{
        padding-block: 9rem 4rem;
    }
    .contact_container{
        row-gap: 8rem;
    }
    .contact_description{
        font-size: var(--h2-font-size);
    }
    .contact_content{
        grid-template-columns: repeat(3, 1fr);
    }
    .contact_info{
        row-gap: 1.5rem;
        justify-self: flex-start;
    }
    .contact_write{
        justify-self: flex-end;
    }
    .contact_title{
        margin-bottom: .75rem;
    }
    .contact_links{
        row-gap: .5rem;
    }
    .contact_link{
        font-size: 1.25rem;
    }
}

/* For 2K resolutions (2048 x 1152, 2048 x 1536) */
@media screen and (min-width: 2048px){
    body{
        zoom: 1.4;
    }
}

/* Custom cursor is hidden for mobile devices */
@media (pointer: coarse){
    .cursor{
        display: none;
    }
}